Page MenuHomePhabricator

[PowerPC] Legalize rounding nodes
ClosedPublic

Authored by nemanjai on Nov 7 2019, 7:38 AM.

Details

Reviewers
hfinkel
lei
Group Reviewers
Restricted Project
Commits
rG0f0330a78709: [PowerPC] Legalize rounding nodes
Summary

VSX provides a full complement of rounding instructions yet we somehow ended up with some of them legal and others not. This just legalizes all of the FP rounding nodes and the FP -> int rounding nodes with unsafe math.

Diff Detail

Event Timeline

nemanjai created this revision.Nov 7 2019, 7:38 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 7 2019, 7:38 AM
lei accepted this revision.Nov 12 2019, 7:13 AM
lei added a subscriber: lei.

LGTM

This revision is now accepted and ready to land.Nov 12 2019, 7:13 AM
qiucf added a subscriber: qiucf.Dec 29 2019, 11:56 PM

This diff seems out of date, needs rebasing.

This revision was automatically updated to reflect the committed changes.